> ## Documentation Index
> Fetch the complete documentation index at: https://waffo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Payout inquiry



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/payout/inquiry
openapi: 3.1.0
info:
  title: acquiring-order
  description: 接口文档
  termsOfService: https://www.waffo.com
  version: 1.0.0
servers: []
security: []
tags:
  - name: Subscription inquiry
    description: Subscription inquiry api description
  - name: Subscription manage
    description: >
      This API allows the merchant to request a subscription management URL from
      Waffo

      Waffo will generate a subscription management URL which merchant can
      redirect user to this URL for managing subscription details (e.g. view
      subscription detail and cancel subscription). This management URL has a
      fixed expiration time (e.g., 1 day).
  - name: Chargeback list
    description: Chargeback list api description
  - name: Payout create
    description: Payout create api description
  - name: Subscription change inquiry
    description: >
      This API allows merchants to query the status of a subscription change
      (upgrade/downgrade) request.

      此接口允许商户查询订阅升降级请求的状态。
  - name: Chargeback file download
    description: Chargeback file download api description
  - name: Subscription change
    description: >
      This API allows merchants to upgrade or downgrade a user's subscription
      plan. The change request will create a new subscription based on the
      original subscription, applying any remaining amount from the original
      subscription.


      此接口允许商户升级或降级用户的订阅计划。升降级请求将基于原订阅创建新订阅，并将原订阅的剩余金额应用到新订阅中。
  - name: Chargeback accept
    description: Chargeback accept api description
  - name: Subscription update
    description: ' Subscription update api description'
  - name: Chargeback file upload
    description: Chargeback file upload api description
  - name: Chargeback update
    description: Chargeback update api description
  - name: Wallet inquiry
    description: Wallet inquiry api description
  - name: Order inquiry
    description: Order inquiry api description
  - name: Order refund
    description: Order refund api description
  - name: Payout inquiry
    description: Payout inquiry api description
  - name: Order create
    description: ' Order create api description'
  - name: Pay Method Config Inquiry
    description: Pay Method Config Inquiry api description
  - name: Refund inquiry
    description: Refund inquiry api description
  - name: Subscription cancel
    description: >
      Cancel an active subscription when the merchant no longer wishes to
      continue the recurring billing cycle. This endpoint can only be invoked
      when the subscription status is active
  - name: Merchant config inquiry
    description: Merchant config inquiry api description
  - name: Order cancel
    description: Order cancel api description
  - name: Chargeback inquiry
    description: Chargeback inquiry api description
  - name: Subscription create
    description: Subscription create api description
  - name: Order capture
    description: Order capture api description
paths:
  /api/v1/payout/inquiry:
    post:
      tags:
        - Payout inquiry
      summary: Payout inquiry
      operationId: payoutOrderQuery
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayoutQueryRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponsePayoutOrderData'
components:
  schemas:
    PayoutQueryRequest:
      type: object
      properties:
        payoutRequestId:
          type: string
          description: >-
            Payout request id sent from Merchant. It will also be used for
            idempotent check. You can choose one of the two.
        payoutOrderId:
          type: string
          description: >-
            Waffo's payout Order ID. Choose one of the two,You can choose one of
            the two. If both are passed, payoutOrderId is used first
    ResponsePayoutOrderData:
      type: object
      description: response data
      properties:
        code:
          type: string
          example: 0
        msg:
          type: string
          example: success
        data:
          $ref: '#/components/schemas/PayoutOrderData'
    PayoutOrderData:
      type: object
      properties:
        mid:
          type: string
          description: Merchant's id
        subMid:
          type: string
          description: Merchant's sub id
        payoutRequestId:
          type: string
          description: >-
            Payout request id sent from Merchant. It will also be used for
            idempotent check.
        payoutOrderId:
          type: string
          description: Waffo's payout Order ID
        prefundCurrency:
          type: string
          description: Prefund currency
        prefundAmount:
          type: number
          description: >
            The prefund amount includes handling fee.

            If the transaction fails: except for the handling fee, which may be
            charged depending on the situation, the remaining amount will be
            returned to the merchant.
        payoutCurrency:
          type: string
          description: Payout currency
        payoutAmount:
          type: string
          description: Payout amount
        payeeCurrency:
          type: string
          description: Payee receiving currency
        payeeAmount:
          type: string
          description: >
            Payee receiving amount.

            When placing orders across currencies, the exact amount received may
            not be known.
        country:
          type: string
          description: Payout receiving country
        description:
          type: string
          description: Payout description information
        merchantInfo:
          $ref: '#/components/schemas/MerchantInfo'
          description: Merchant info
        payeeInfo:
          $ref: '#/components/schemas/PayeeInfo'
          description: Payee info
        payoutInfo:
          $ref: '#/components/schemas/PayoutInfo'
          description: Payout information
        addressInfo:
          $ref: '#/components/schemas/AddressInfo'
          description: Payee Address Information
        feeCurrency:
          type: string
          description: Payout Fee Currency
        actFeeAmount:
          type: number
          description: >
            The actual fee amount collected upon completion of the transaction.
            The currency is specified by feeCurrency.

            When feeStatus is DEDUCTED = feeAmount, RETURNED / NONE = 0
        feeStatus:
          type: string
          description: |
            Fee final status.
            - DEDUCTED - merchant's fee deducted
            - RETURNED - merchant's fee returned
            - NONE - no fee (i.e. 0)
        status:
          type: string
          description: |
            Payout status.
            - IN_PROGRESS - (Payout is in progress)
            - SUCCESS - (Payout is successful)
            - FAILURE (Payout failed)
        subStatus:
          type: string
          description: >
            Only present when a reverse occurs, Payout status stays SUCCESS.
            Most orders never have it.

            - FULL_REVERSED - the whole payout amount was reversed

            - PARTIAL_REVERSED - only part of the payout amount was reversed
        failureCode:
          type: string
          description: Payout failure code
        failureReason:
          type: string
          description: Payout failure reason
        notifyUrl:
          type: string
          description: >-
            The callback address to notify the merchant after the payout is
            completed / failed
        extendInfo:
          type: string
          description: Reserved. Json format e.g. {"key1":"value1", "key2":"value2"}
        payoutRequestedAt:
          type: string
          description: >-
            Merchant-side payout request time, ISO_8601_FORMAT:
            yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
        payoutArrivalTime:
          type: string
          description: 'Payout Arrival Time, ISO_8601_FORMAT: yyyy-MM-dd''T''HH:mm:ss.SSS''Z'''
        payoutUpdatedAt:
          type: string
          description: >-
            Payout last update time, ISO_8601_FORMAT:
            yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
    MerchantInfo:
      type: object
      properties:
        merchantId:
          type: string
          description: Merchant id assigned by Waffo
          minLength: 1
        subMerchantId:
          type: string
          description: Sub merchant id assigned by Waffo
      required:
        - merchantId
    PayeeInfo:
      type: object
      properties:
        payeeId:
          type: string
          description: Payee's user id assigned by the merchant
          minLength: 1
        payeeType:
          type: string
          description: |
            Payee type.
            - INDIVIDUAL - the payee is a person
            - BUSINESS - the payee is a company / organization
          minLength: 1
        payeeFirstName:
          type: string
          description: Payee's first name
          maxLength: 60
          minLength: 0
        payeeMiddleName:
          type: string
          description: Payee's middle name
          maxLength: 60
          minLength: 0
        payeeLastName:
          type: string
          description: Payee's last name
          maxLength: 60
          minLength: 0
        nationality:
          type: string
          description: Payee's nationality, alpha-3 country code
          maxLength: 3
          minLength: 0
        payeeEmail:
          type: string
          description: Payee's email address
        payeePhone:
          type: string
          description: >-
            Payee's mobile phone number: +Country code-Mobile Number, for
            example +62-08990013157
        payeeBirthDay:
          type: string
          description: Payee's date of birth. Format is dd/mm/yyyy
        payeeIDType:
          type: string
          description: |
            Payee's Identification Type, list as follows:
            - ID - National id card
            - PASSPORT - Personal passport

            If it is BRA, it will be CPF/CNPJ, Mandatory.
            If it is CHN, it is mandatory.
        payeeIDNumber:
          type: string
          description: Payee's Identification Number
        payeeIDIssueDate:
          type: string
          description: The date of issue of Payee's ID. Format is dd/mm/yyyy
        payeeIDExpiryDate:
          type: string
          description: The date of expiry of Payee's ID. Format is dd/mm/yyyy
        payeeFullName:
          type: string
      required:
        - payeeId
        - payeeType
    PayoutInfo:
      type: object
      properties:
        productName:
          type: string
          description: >
            Payout product:

            - ONE_TIME_PAYOUT - Merchant chooses the product based on the signed
            contract
          minLength: 1
        payoutMethodType:
          type: string
          description: >
            Payout receiving method type.

            - EWALLET  - Payout to the eWallet, e.g. DANA, GCASH.

            - BANK_ACCOUNT - Payout to the Bank card, e.g. Bank of China, Bank
            of Singapore.
          minLength: 1
        payoutMethodName:
          type: string
          description: >
            Payout receiving method name.

            If it is EWALLET type, it will be eWallet name, e.g. DANA, GCASH,
            PIX.

            If it is BANK_ACCOUNT type, it will be empty.
        payoutMethodProperty:
          type: string
          description: >
            If it is BANK_ACCOUNT type, it will include the following info in a
            json format:
             {
             "bankCode": "XXX", Mandatory only for BANK_ACCOUNT. If it's CHN, no need to fill it in.
             "bankName":"XXX", Default empty. If it's CHN, it is mandatory, Chinese name.
             "bankProvince": "XXX", Default empty. If it's CHN, it is optional, Chinese name.
             "bankCity": "XXX", Default empty.  If it's CHN, it is optional, Chinese name.
             "bankBranch": "XXX", Default empty. If it's BRA, 4 digits or 4 digits + 1 optional check digit.
             "bankSub":"XXX", Default empty. If it's CHN, bank cards that do not start with 62 are required, Chinese names.
             "accountType": Default empty.  If it's BRA, it will be CRN, PAC, SVN.
             "accountName": Default empty.  If it's CHN,
                  - If the bank account name is in Chinese — required
                  - If the bank account name is in English — not required, Use payeeInfo.
             }
        payoutMethodUserAccountNo:
          type: string
          description: >
            Payee's account no, format depends on payoutMethodType:

            - EWALLET: payee's eWallet user account no. or public user ID
            assigned by the eWallet.
              - DANA: two formats accepted:
                - DANA Public User Identifier, e.g. 20260714111215830123DANAW3ID183469699328.
                - IDN Phone number, 1-32 digits starting with 628, e.g. 628xxxxxxxxx. 62/+62 is the IDN country code; phone numbers starting with 0 need to be removed, so it starts with 628.
              - PIX: it will be BRA PIX KEY. e.g. CPF, CNPJ, Phone(+5511987654321), Email, EVP(generated by user’s bank).

            - BANK_ACCOUNT: payee's bank account no.
          minLength: 1
      required:
        - payoutMethodType
        - payoutMethodUserAccountNo
        - productName
    AddressInfo:
      type: object
      properties:
        address:
          type: string
          description: Payee street and address details
        city:
          type: string
          description: Payee address city
        region:
          type: string
          description: Payee address region / state / province
        postcode:
          type: string
          description: Payee address postcode
        addressCountryCode:
          type: string
          description: Payee address country code
          maxLength: 3
          minLength: 0

````